"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.baseServerURL = void 0;
exports.getBaseServerUrl = getBaseServerUrl;
exports.serverCMsURL = void 0;
var _axios = _interopRequireDefault(require("axios"));
var _initializer = require("../initializer");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const {
  SAME_CLIENT_IP,
  SERVER_PATH,
  BASE_URL,
  CMS_URL
} = (0, _initializer.getEnvVars)();
const baseServerURL = exports.baseServerURL = SAME_CLIENT_IP === "true" ? "".concat(window.location.origin, "/").concat(SERVER_PATH) : "".concat(BASE_URL);
function getBaseServerUrl() {
  return baseServerURL;
}
const serverCMsURL = exports.serverCMsURL = "".concat(baseServerURL).concat(CMS_URL);
const instance = _axios.default.create({
  baseURL: serverCMsURL
});
instance.interceptors.request.use(request => {
  return request;
});
instance.interceptors.response.use(response => {
  return response;
}, error => {
  return Promise.reject(error);
});
instance.defaults.headers.common["Content-Type"] = "application/json";
instance.defaults.headers.common.Accept = "application/json";
instance.defaults.headers.common["Accept-Language"] = "en";
instance.defaults.withCredentials = true;
var _default = exports.default = instance;