"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setMainMenu = exports.setFavoriteItems = exports.getMainMenu = exports.getFavoriteItems = exports.MAIN_MENU_KEY = exports.FAVORITE_KEY = void 0;
const MAIN_MENU_KEY = exports.MAIN_MENU_KEY = "mainMenu";
const FAVORITE_KEY = exports.FAVORITE_KEY = "FavoriteItems";
const getMainMenu = currentUser => {
  if (!currentUser) return null;
  const mainMenu = localStorage.getItem("".concat(MAIN_MENU_KEY, ".").concat(currentUser.username));
  if (!mainMenu) return [];
  return JSON.parse(mainMenu);
};
exports.getMainMenu = getMainMenu;
const setMainMenu = (currentUser, mainMenu) => {
  if (!currentUser) return;
  localStorage.setItem("".concat(MAIN_MENU_KEY, ".").concat(currentUser.username), JSON.stringify(mainMenu));
};
exports.setMainMenu = setMainMenu;
const getFavoriteItems = currentUser => {
  if (!currentUser) return null;
  const favorite = localStorage.getItem("".concat(FAVORITE_KEY, ".").concat(currentUser.username));
  if (!favorite) return [];
  return JSON.parse(favorite);
};
exports.getFavoriteItems = getFavoriteItems;
const setFavoriteItems = (currentUser, favorite) => {
  if (!currentUser) return;
  if (Array.isArray(favorite)) {
    localStorage.setItem("".concat(FAVORITE_KEY, ".").concat(currentUser.username), JSON.stringify(favorite));
  }
};
exports.setFavoriteItems = setFavoriteItems;