import axios from "axios";
import { getEnvVars } from "../initializer";

const {
  SAME_CLIENT_IP,
  SERVER_PATH,
  BASE_URL,
  CMS_URL,
} = getEnvVars();

export const baseServerURL =
SAME_CLIENT_IP === "true"
    ? `${window.location.origin}/${SERVER_PATH}`
    : `${BASE_URL}`;

export function getBaseServerUrl() {
  return baseServerURL;
}


export const serverCMsURL = `${baseServerURL}${CMS_URL}`;

const instance = axios.create({ baseURL: serverCMsURL });

instance.interceptors.request.use((request) => {
  return request;
});

instance.interceptors.response.use(
  (response) => {
    return response;
  },
  (error) => {
    return Promise.reject(error);
  },
);

instance.defaults.headers.common["Content-Type"] = "application/json";
instance.defaults.headers.common.Accept = "application/json";
instance.defaults.headers.common["Accept-Language"] = "en";
instance.defaults.withCredentials = true;

export default instance;
